#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2021  Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       qubes-desktop-linux-menu
Version:	1.2.1
Release:	1%{dist}
Summary:	Qubes Application Menu

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  gettext

Requires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-gbulb
Requires:  gtk3
Requires:  python%{python3_pkgversion}-qubesadmin >= 4.1.8
Requires:  qubes-artwork >= 4.1.5
Requires:  qubes-desktop-linux-manager
Provides:  qubes_menu = %{version}-%{release}


%description
A Qubes-specific Application menu.

%prep
%setup

%build
%py3_build

%install
%py3_install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)

%dir %{python3_sitelib}/qubes_menu-*.egg-info
%{python3_sitelib}/qubes_menu-*.egg-info/*


%dir %{python3_sitelib}/qubes_menu
%dir %{python3_sitelib}/qubes_menu/__pycache__
%{python3_sitelib}/qubes_menu/__pycache__/*
%{python3_sitelib}/qubes_menu/__init__.py
%{python3_sitelib}/qubes_menu/appmenu.py
%{python3_sitelib}/qubes_menu/app_widgets.py
%{python3_sitelib}/qubes_menu/application_page.py
%{python3_sitelib}/qubes_menu/constants.py
%{python3_sitelib}/qubes_menu/custom_widgets.py
%{python3_sitelib}/qubes_menu/desktop_file_manager.py
%{python3_sitelib}/qubes_menu/favorites_page.py
%{python3_sitelib}/qubes_menu/page_handler.py
%{python3_sitelib}/qubes_menu/search_page.py
%{python3_sitelib}/qubes_menu/settings_page.py
%{python3_sitelib}/qubes_menu/utils.py
%{python3_sitelib}/qubes_menu/vm_manager.py
%{python3_sitelib}/qubes_menu/qubes-menu.glade
%{python3_sitelib}/qubes_menu/qubes-menu-dark.css
%{python3_sitelib}/qubes_menu/qubes-menu-light.css
%{python3_sitelib}/qubes_menu/qubes-menu-base.css

%dir %{python3_sitelib}/qubes_menu_settings
%dir %{python3_sitelib}/qubes_menu_settings/__pycache__
%{python3_sitelib}/qubes_menu_settings/__pycache__/*
%{python3_sitelib}/qubes_menu_settings/__init__.py
%{python3_sitelib}/qubes_menu_settings/menu_settings.py
%{python3_sitelib}/qubes_menu_settings/test_menu_settings.py
%{python3_sitelib}/qubes_menu_settings/menu_settings.glade
%{python3_sitelib}/qubes_menu_settings/menu_settings.css

%{_bindir}/qubes-app-menu
%{_bindir}/qubes-appmenu-settings
/usr/share/icons/hicolor/scalable/apps/qappmenu-dispvm-child.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-favorites.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-favorites-blue.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-grab-handle.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-networking-no.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-networking-vpn.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-networking-yes.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-power.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-qube.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-search.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-settings.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-pause.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-shutdown.svg
/usr/share/icons/hicolor/scalable/apps/qappmenu-start.svg
/usr/share/icons/hicolor/scalable/apps/appmenu-settings-program-icon.svg
/usr/share/icons/hicolor/scalable/apps/settings-black.svg
/usr/share/icons/hicolor/scalable/apps/settings-blue.svg
/usr/share/icons/hicolor/scalable/apps/settings-green.svg
/usr/share/icons/hicolor/scalable/apps/settings-orange.svg
/usr/share/icons/hicolor/scalable/apps/settings-red.svg
/usr/share/icons/hicolor/scalable/apps/settings-purple.svg
/usr/share/icons/hicolor/scalable/apps/settings-gray.svg
/usr/share/icons/hicolor/scalable/apps/settings-yellow.svg

/etc/xdg/autostart/qubes-app-menu.desktop
/usr/share/applications/open-qubes-app-menu.desktop
/usr/share/applications/qubes-appmenu-settings.desktop

/lib/systemd/user/qubes-app-menu.service
/usr/share/dbus-1/services/dbus-qubes-app-menu.service

%changelog
* Fri Jul 05 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-menu.git

* Fri Jul 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ee90aa
- version 1.2.1

* Thu Jul 04 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 5c1174b
- add pip to dependencies

* Thu Jul 04 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 4f53e77
- Improve logic of (not)hiding menu and fix VM name escaping

* Thu Jun 20 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - bc5c930
- pylint pacification

* Wed Jun 19 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 7da22bd
- Show settings and start vm in search

* Wed Jun 19 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c501db2
- Make it possible to add VM Setting and Start to favorites

* Tue May 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2c51155
- Improve keyboard navigation

* Fri May 24 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 1d7d269
- Move Settings to bottom of applist and add control panel to Search

* Thu May 23 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 89ba151
- Fix sorting dispvms

* Tue May 07 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d665ee
- version 1.2.0

* Tue May 07 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - d8e5054
- Add test for command line parsing

* Tue May 07 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - b9246bc
- Use page name instead of page number for initial page

* Thu May 02 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 6c7d78d
- Remove deprecated pkg_resources, replace it with importlib

* Thu May 02 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 88b5f30
- Stop building for r4.1

* Thu May 02 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 34f93cd
- Add tests to menu settings

* Tue Apr 30 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e1463bd
- Add a GUI program to manage menu settings

* Tue Apr 30 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 0b5c86b
- Implement menu settings as features

* Wed Apr 17 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 246b7be
- Search and space/backspace interactions

* Mon Apr 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 9df7341
- Add and update tests for Menu

* Mon Apr 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 7248afd
- Move tests to new Mock Qubes object from core-admin-client

* Mon Apr 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 3d95a08
- Fix favorites menu in search

* Mon Apr 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 038cf69
- Fix pylint complaint about yield from

* Mon Apr 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c88d885
- Use keywords in menu search

* Mon Apr 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c74047f
- Launch first search result on Enter

* Mon Apr 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 3b1f2b5
- Provide a workaround for PageUp / focus chain bug

* Mon Apr 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - f3b2e9b
- Add explanation how to add things to favorites

* Thu Mar 07 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - cff1cfc
- Make the dispvm child icon an icon, not a background

* Thu Mar 07 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - be69a59
- Run tests in CI

* Sat Aug 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4d0511c
- version 1.1.5

* Thu Aug 03 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 35c9120
- Fix error with showing bare settings on menu start

* Thu Aug 03 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 0140b20
- Add a placeholder if there are no apps in vm

* Thu Aug 03 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 0e2baca
- Fix styles for certain themes

* Tue Jul 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7a344e3
- Make pylint happy - use sys.exit

* Tue Jul 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d5f2675
- version 1.1.4

* Mon Jul 24 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - b864052
- Do not restart menu if X is not running

* Thu Jul 20 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - f2f613a
- Stop menu from selecting non-visible VMs

* Tue Jul 18 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - f72187f
- Fix sorting to be case-insensitive

* Fri Jul 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b3167e4
- version 1.1.3

* Thu Jul 06 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 82ab14c
- Run KDE logout dialog in KDE

* Wed Jul 05 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - f37566a
- Dragging from menu should never result in a MOVE operation

* Tue Jul 04 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e361c30
- Workaround for .desktop file

* Tue Jul 04 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 4920f3f
- Menu should be always on top

* Sat Jul 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0d4401c
- version 1.1.2

* Thu Jun 29 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - ecd23e9
- Menu should react appropriately to appmenus-dispvm

* Thu Jun 29 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - abc1321
- Fix page numbering in help and docs

* Wed May 24 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a17c56
- version 1.1.1

* Tue May 23 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 6c71f5e
- Make menu slightly smaller to fit in openQA tests

* Tue May 23 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - aaba3fe
- Enforce icon size in menu

* Mon Apr 17 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 0f0148a
- Enable backing out of search with keyboard nav

* Sun Apr 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cae3030
- version 1.1.0

